com.holonplatform.core.property

## Interface BooleanProperty

- All Superinterfaces:
    CloneableProperty<Boolean,PathProperty<Boolean>,PathProperty.Builder<Boolean,PathProperty<Boolean>,?>>, CloneableProperty.CloneablePathProperty<Boolean,PathProperty<Boolean>>, ConverterExpression<Boolean>, DataMappable, Expression, HasConfiguration<PropertyConfiguration>, Localizable, Path<Boolean>, PathExpression<Boolean>, PathProperty<Boolean>, Property<Boolean>, QueryExpression<Boolean>, QueryProjection<Boolean>, Serializable, TypedExpression<Boolean>, Validator.Validatable<Boolean>
  All Known Subinterfaces:
    BooleanBeanProperty, BooleanProperty.BooleanPropertyBuilder

      public interface BooleanProperty
      extends PathProperty<Boolean>

  A boolean type `PathProperty`.
  Since:
    5.1.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `BooleanProperty.BooleanPropertyBuilder` `BooleanProperty` builder.

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.PathProperty

      `PathProperty.Builder<T,P extends Path<T> & Property<T>,B extends PathProperty.Builder<T,P,B>>, PathProperty.PathPropertyBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.CloneableProperty

      `CloneableProperty.CloneablePathProperty<T,P extends Property<T> & Path<T>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.Property

      `Property.PropertyAccessException, Property.PropertyNotFoundException, Property.PropertyReadException, Property.PropertyReadOnlyException, Property.PropertyWriteException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.i18n.Localizable

      `Localizable.LocalizableBuilder, Localizable.LocalizationException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `Expression.ExpressionResolverFunction<E extends Expression,R extends Expression>, Expression.InvalidExpressionException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Path

      `Path.FinalPath<T>, Path.PathBuilder<T>`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.core.Path

      `PATH_HIERARCHY_SEPARATOR`

    - ### Fields inherited from interface com.holonplatform.core.DataMappable

      `DEFAULT_CONFIG_PROPERTY_PREFIX, PATH`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `BooleanProperty` | `clone(Consumer<PathProperty.Builder<Boolean,PathProperty<Boolean>,?>> builder)` Clone this property.
    `static BooleanProperty.BooleanPropertyBuilder` | `create(Path<Boolean> path)` Create a new `BooleanProperty` from given `path`, using given `Path` `name`.
    `static BooleanProperty.BooleanPropertyBuilder` | `create(String name)` Create a new `BooleanProperty` with given `name`.
    `static <N extends Number> BooleanProperty.BooleanPropertyBuilder` | `create(String name, Class<N> modelType)` Create a new `BooleanProperty` with given `name`, using a default `PropertyValueConverter` to convert a numeric model data type into the boolean type.

    - ### Methods inherited from interface com.holonplatform.core.property.PathProperty

      `create, create, isReadOnly`

    - ### Methods inherited from interface com.holonplatform.core.property.Property

      `getConfiguration, getConvertedValue, getConverter, getExpressionValueConverter, getName, getTemporalType, getType, present, render, renderIfAvailable`

    - ### Methods inherited from interface com.holonplatform.core.Validator.Validatable

      `getValidators, validate`

    - ### Methods inherited from interface com.holonplatform.core.i18n.Localizable

      `builder, getMessage, getMessageArguments, getMessageCode, of, of`

    - ### Methods inherited from interface com.holonplatform.core.HasConfiguration

      `hasConfiguration`

    - ### Methods inherited from interface com.holonplatform.core.ConverterExpression

      `getModelType, getModelValue`

    - ### Methods inherited from interface com.holonplatform.core.TypedExpression

      `isCollectionExpression, isConverterExpression`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

    - ### Methods inherited from interface com.holonplatform.core.query.PathExpression

      `asc, desc, from`

    - ### Methods inherited from interface com.holonplatform.core.Path

      `fullName, fullName, getName, getParent, isRootPath, of, relativeName, relativeName, stream`

    - ### Methods inherited from interface com.holonplatform.core.DataMappable

      `getDataPath, isDataMappable`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryExpression

      `between, count, eq, eq, goe, goe, gt, gt, in, in, in, isNotNull, isNull, loe, loe, lt, lt, max, min, neq, neq, nin, nin, nin`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryProjection

      `bean, constant, countAll, path, propertySet, propertySet`

- - ### Method Detail

    - #### clone

          BooleanProperty clone(Consumer<PathProperty.Builder<Boolean,PathProperty<Boolean>,?>> builder)

      Clone this property.
      Specified by:
        `clone` in interface `CloneableProperty<Boolean,PathProperty<Boolean>,PathProperty.Builder<Boolean,PathProperty<Boolean>,?>>`
      Parameters:
        `builder` - A property builder which can be used to perform additional property configuration
      Returns:
        The cloned property

    - #### create

          static BooleanProperty.BooleanPropertyBuilder create(String name)

      Create a new `BooleanProperty` with given `name`.
      Parameters:
        `name` - Property name (not null)
      Returns:
        `BooleanProperty` builder

    - #### create

          static <N extends Number> BooleanProperty.BooleanPropertyBuilder create(String name,
                                                                                  Class<N> modelType)

      Create a new `BooleanProperty` with given `name`, using a default `PropertyValueConverter` to convert a numeric model data type into the boolean type.
      Type Parameters:
        `N` - Numeric model data type
      Parameters:
        `name` - Property name (not null)
        `modelType` - Numeric model data type (not null)
      Returns:
        `BooleanProperty` builder
      See Also:
        `PropertyValueConverter.numericBoolean(Class)`

    - #### create

          static BooleanProperty.BooleanPropertyBuilder create(Path<Boolean> path)

      Create a new `BooleanProperty` from given `path`, using given `Path` `name`.
      Parameters:
        `path` - Path from which to obtain the property path name (not null)
      Returns:
        `BooleanProperty` builder

Copyright © 2019 The Holon Platform. All rights reserved.